Skip to main content
PATCH
Update Group

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

id
string<uuid>
required

Group ID

Body

application/json
name
string

Group name

Required string length: 1 - 255
description
string | null

Group description

Maximum string length: 1000
organization_scopes
string[]

Organization IDs user can access, can include "*" for wildcard

denied_organization_scopes
string[]

Organization IDs user cannot access

denied_entity_types
string<uuid>[]

Entity type IDs that users in this group cannot access

Response

Default Response

id
string<uuid>
required

Group unique identifier

name
string
required

Group name

organization_scopes
string[]
required

Organization IDs user can access, can include "*" for wildcard

denied_organization_scopes
string[]
required

Organization IDs user cannot access

denied_entity_types
string[]
required

Entity type IDs that users in this group cannot access

created_at
string<date-time>
required

Group creation timestamp

updated_at
string<date-time>
required

Last update timestamp

description
string | null

Group description

created_by
string<uuid>

User ID who created this group

updated_by
string<uuid>

User ID who last updated this group